Name: ftp
Version: 0.17
Release: ipl5mdk.1

Summary: The standard UNIX FTP (file transfer protocol) client
License: BSD
Group: Networking/File transfer
Url: http://www.hcs.harvard.edu/~dholland/computers/netkit.html

Source: ftp://ibiblio.org/pub/Linux/system/network/file-transfer/netkit-%name-%version.tar.bz2
Patch1: netkit-ftp-0.17-alt-configure.patch
Patch2: netkit-ftp-0.17-alt-tinfo.patch

Patch10:netkit-ftp.usagi-ipv6.patch
Patch11:netkit-ftp-0.17-acct.patch
Patch12:netkit-ftp-0.17-pre20000412.pasv-security.patch 

# Automatically added by buildreq on Sun Jun 30 2002
BuildRequires: libreadline-devel libtinfo-devel

%description
The %name package provides the standard UNIX command-line FTP client.
FTP is the file transfer protocol, which is a widely used Internet
protocol for transferring files and for archiving files.

If your system is on a network, you should install %name in order to do
file transfers.

%prep
%setup -q -n netkit-%name-%version
%patch1 -p1
%patch2 -p1

%patch10 -p1
%patch11 -p1
%patch12 -p1

%build
CFLAGS=$RPM_OPT_FLAGS BINDIR=%_bindir MANDIR=%_mandir ./configure --enable-ipv6
%make_build

%install
mkdir -p $RPM_BUILD_ROOT{%_bindir,%_mandir/man{1,5}}

%make_install INSTALLROOT=$RPM_BUILD_ROOT install

%files
%_bindir/*
%_mandir/man?/*
%doc README BUGS

%changelog
* Fri Dec 30 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.17-ipl5mdk.1
- Rebuilt with libreadline.so.5.

* Wed Oct 30 2002 Stanislav Ievlev <inger@altlinux.ru> 0.17-ipl5mdk
- rebuild with gcc3

* Sun Jun 30 2002 Dmitry V. Levin <ldv@altlinux.org> 0.17-ipl4mdk
- Patched to link with libtinfo.

* Mon Mar 04 2002 Stanislav Ievlev <inger@altlinux.ru> 0.17-ipl3mdk
- Rebuilt

* Tue Aug 15 2000 Dmitry V. Levin <ldv@fandra.org> 0.17-ipl2mdk
- RE adaptions.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.17-2mdk
- automatically added BuildRequires

* Fri Aug 04 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.17-1mdk
- rebuild for new version

* Thu Jul 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.16-1mdk
- 0.16
  - y2k patch now integrated
  - ewt and readline patch no more necessary
- BM
- macros

* Tue Mar 28 2000 Pixel <pixel@mandrakesoft.com> 0.10-8mdk
- rebuild for new readline
- cleanup

* Wed Mar 22 2000 Daouda Lo <daouda@mandrakesoft.com> 0.10-7mdk
- relocate group

* Tue Dec 14 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix possible y2k misunderstand (i told you it's a minimal
  possibility).

* Mon Dec 06 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Use readline.

* Wed Nov 03 1999 John Buswell <johnb@mandrakesoft.com>
- Build Release

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 22)

* Mon Mar 15 1999 Jeff Johnson <jbj@redhat.com>
- compile for 6.0.

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr
